'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var ExtractTextPlugin = _interopDefault(require('extract-text-webpack-plugin'));

var index = function (ref) {
  if ( ref === void 0 ) ref = {};
  var loader = ref.loader;
  var test = ref.test; if ( test === void 0 ) test = /\.css$/;
  var env = ref.env;

  var prod = (process.env.NODE_ENV === 'production') || (env === 'production');

  var loaders = ['css-loader?-autoprefixer&sourceMap'];
  if (loader) { loaders.push(loader); }

  if (prod) {
    return {
      loader: ExtractTextPlugin.extract({
        fallbackLoader: 'style-loader',
        loader: loaders
      }),
      test: test
    }
  }
  return {
    loaders: ['style-loader' ].concat( loaders),
    test: test
  }
};

module.exports = index;
